Bug 352301 - Tool to change display device missing
Tool to change display device missing
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: control-center (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Søren Sandmann Pedersen
Fedora Extras Quality Assurance
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-10-25 09:54 EDT by Daniel Qarras
Modified: 2014-06-18 05:09 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-04 21:18:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Daniel Qarras 2007-10-25 09:54:26 EDT
Description of problem:

Modern laptops have usually three different displays that could be used: the
usual LCD panel, an external monitor via a cable plugged into the laptop, and a
television using TV-out of the graphics card.

There should be an easy and intuitive way for a user to switch between the
possible display without the need to revert using command line or adjusting
xorg.conf after the initial system installation.

It should be also possible to use only one or at least two displays at the same
time. It should be also possible to select proper TV encoding (NTSC, PAL, etc.)
for the TV output, and to select proper resolution for LDC, external monitor,
and the TV.

Thanks.
Comment 1 Ray Strode [halfline] 2007-10-25 10:03:38 EDT
Soeren wants to tackle this for F-9 I believe.
Comment 2 Roland Wolters 2007-10-27 07:49:36 EDT
There are already tools available:
URandR and displayconfig-gtk:
http://www.albertomilone.com/urandr.html
https://wiki.ubuntu.com/DisplayConfigGTK

The advantage of displayconfig-gtk is that there it is a gtk version of a KDE 
application which also exists - that would mean that Fedora could even provide 
a tool for both environments (yeah, I know, that would be strange).

Of course both tools build upon RandR 1.2.
Comment 3 Bug Zapper 2008-04-04 10:17:02 EDT
Based on the date this bug was created, it appears to have been reported
during the development of Fedora 8. In order to refocus our efforts as
a project we are changing the version of this bug to '8'.

If this bug still exists in rawhide, please change the version back to
rawhide.
(If you're unable to change the bug's version, add a comment to the bug
and someone will change it for you.)

Thanks for your help and we apologize for the interruption.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.
Comment 4 Roland Wolters 2008-04-04 20:40:35 EDT
I don't see where this bug has been revolved in rawhide. Maybe with KDE 4.1 
there will be a solution for KDE, but I'm not sure if Gnome has a current 
solution to handle external devices on xrandr-base.
Comment 5 Bastien Nocera 2008-04-04 21:18:19 EDT
(In reply to comment #4)
> I don't see where this bug has been revolved in rawhide. Maybe with KDE 4.1 
> there will be a solution for KDE, but I'm not sure if Gnome has a current 
> solution to handle external devices on xrandr-base.

It's built into gnome-settings-daemon and gnome-display-properties. In rawhide
already. Test it out, and report bugs against the control-center module.

Note You need to log in before you can comment on or make changes to this bug.